### Method

# Gtk CellEditablestart_editing

#### Declaration [src]

    void
    gtk_cell_editable_start_editing (
      GtkCellEditable* cell_editable,
      GdkEvent* event
    )

#### Description [src]

Begins editing on a `cell_editable`.

The `GtkCellRenderer` for the cell creates and returns a `GtkCellEditable` from gtk_cell_renderer_start_editing(), configured for the `GtkCellRenderer` type.

`gtk_cell_editable_start_editing()` can then set up `cell_editable` suitably for editing a cell, e.g. making the Esc key emit `GtkCellEditable::editing-done`.

Note that the `cell_editable` is created on-demand for the current edit; its lifetime is temporary and does not persist across other edits and/or cells.

#### Parameters

`event`

  Type: `GdkEvent`

  The `GdkEvent` that began the editing process, or `NULL` if editing was initiated programmatically.

  The argument can be `NULL`.
  The data is owned by the caller of the method.